Subject: Re: bug#865: 23.0.60; The directory is unsafe today

From: "Lennart Borgman (gmail)" <[email-masked]>
Date: Wed, 03 Sep 2008 18:35:10 +0200

Stefan Monnier wrote:
>> I can see what you want to achieve, but why not just check with
>> file-writeable-p here? Is not that more correct?
> 
> The purpose of the check is not to make sure we can make the server
> work, but that it is safe to do so.  I.e. it doesn't check that we have
> write access, but that nobody else does.

Yes, as I said in my reply to Eli, I realized that. I suggested another
way to try to achieve that which I think is much better.

If you really want to make sure no one else can write you have to set up
the access rights for that. On w32 that means you should modify the ACL
list. The current code is far from that.